/*use "girod_tobin_IO.dta", clear*/
use "C:\Users\jlt58\Dropbox\transfer\desha\io_randr_final_8_2_15.dta", clear

set more off

eststo clear


/*table 1*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:

/*no controls*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 if cold_war==0 ||  countryname : || year:


/*country level*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln  if cold_war==0   ||  countryname : || year:


/*project level*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2  proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0    ||  countryname : || year:

/*produce table 1*/
esttab using "C:\Users\jlt58\Dropbox\transfer\desha\io_final_table1_c.csv", star(* 0.10 ** 0.05 *** .01) scalars("ll Log lik." "chi2 Chi-squared") se replace

eststo clear

/*Table 2*/
/*re-run main estimation*/
xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:

/*produce AMEs*/
margins, predict (mu fixedonly) dydx(*)


/*Figures 1&2*/

/*predicted probabilities at various levels of IVs of interest*/
/*FDI stock*/
margins, predict (mu fixedonly) at(rents_std2=(-3 (1) 10))

/*natural resource rents*/
margins, predict (mu fixedonly) at(stock_final_std=(-3 (1) 10))



/*Figure 3*/

/*Congo*/
margins, predict (mu fixedonly) at(stock_final_std=-0.329069567275622 rents_std2=0.371342779534354 colony=0 ally_dummy=0 gdp_cap_ln=5.509287 postneonatalmortality=69.833 polconiii=0 pop_total_ln=17.24992 proj_duration=6.24 proj_cost_bil=0 sector_detail1=0.08 sector_detail2=0 sector_detail3=0.08 sector_detail4=0 sector_detail5=0 sector_detail6=0.24 sector_detail7=0 sector_detail8=0.04 sector_detail9=0.12 sector_detail10=0.32 sector_detail11=0.08 sector_detail12=0.04)

/*EG*/
margins, predict (mu fixedonly) at(stock_final_std=3.18419544100716  rents_std2=1.02654895419734 colony=0 ally_dummy=0 gdp_cap_ln=6.697607 postneonatalmortality=63.349 polconiii=0 pop_total_ln=13.001 proj_duration=6.14285714285714 proj_cost_bil=0.000342857142857143 sector_detail1=0.142857142857143 sector_detail2=0 sector_detail3=0 sector_detail4=0.142857142857143 sector_detail5=0 sector_detail6=0 sector_detail7=0 sector_detail8=0 sector_detail9=0 sector_detail10=0.285714285714286 sector_detail11=0 sector_detail12=0.285714285714286)

/*Mozambique*/
margins, predict (mu fixedonly) at(stock_final_std=0.960717609721081 rents_std2=-0.330663836175992 colony=0 ally_dummy=0 gdp_cap_ln=5.730377 postneonatalmortality=58.414 polconiii=0.3146 pop_total_ln=16.8496288888889 proj_duration=5.70967741935484 proj_cost_bil=0.0968854870967742 sector_detail1=0.0645161290322581 sector_detail2=0.0645161290322581 sector_detail3=0.0645161290322581 sector_detail4=0.516129032258065 sector_detail5=0 sector_detail6=0.0967741935483871 sector_detail7=0.032258064516129 sector_detail8=0 sector_detail9=0.032258064516129 sector_detail10=0.032258064516129 sector_detail11=0.032258064516129 sector_detail12=0.0645161290322581)

/*Panama*/
margins, predict (mu fixedonly) at(stock_final_std=1.04645928142973 rents_std2=-0.564666041412774 colony=0 ally_dummy=1 gdp_cap_ln=8.1489424 postneonatalmortality=9.715 polconiii=0.5 pop_total_ln=14.787961 proj_duration=3 proj_cost_bil=0.05275 sector_detail1=0 sector_detail2=0 sector_detail3=0 sector_detail4=0 sector_detail5=0 sector_detail6=0 sector_detail7=0 sector_detail8=0.25 sector_detail9=0.25 sector_detail10=0 sector_detail11=0.5 sector_detail12=0)


/*Appendix A: Summary Statistics*/
sum compliance_coded stock_gdp_avg5yrsbef_2_final2 rents_na_upd_gdp_avg5  colony ally_dummy gdp_cap_ln postneonatalmortality  polconiii pop_total_ln  proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0 & compliance_coded~=. & stock_gdp_avg5yrsbef_2_final2~=. & rents_na_upd_gdp_avg5~=. & colony~=. & ally_dummy~=. &         gdp_cap_ln~=. & postneonatalmortality~=. &  polconiii~=. & pop_total_ln~=. &               proj_duration~=. & proj_cost_bil~=. &   sector_detail1~=. & sector_detail2~=. &  sector_detail3~=. & sector_detail4~=. &  sector_detail5~=. & sector_detail6~=. & sector_detail7~=. &  sector_detail8~=. & sector_detail9~=. & sector_detail10~=. & sector_detail11~=. & sector_detail12~=.

                     

/*Appendix F*/

eststo clear

/* 1) iv*/
eststo: xtmelogit  compliance_coded fdi_hat_world_std  rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0   ||  countryname : || year:


/*2) aggregate to country-level.*/
collapse compliance_coded stock_final_std rents_std2 colony ally_dummy cold_war gdp_cap_ln postneonatalmortality  polconiii total_oda_pop pop_total_ln proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12  ccode if cold_war==0 , by(countryname year)
xtset ccode year, yearly
gen compliance_coded2=1 if compliance_coded>.49
replace compliance_coded2=0 if compliance_coded<.5

eststo: glm  compliance_coded stock_final_std rents_std2 colony ally_dummy  gdp_cap_ln postneonatalmortality  polconiii  pop_total_ln proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12, link(logit) robust

/*return to main database*/
/*use "girod_tobin_IO.dta", clear*/


/*3) add cold war*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 ||  countryname : || year:


/*4) interaction fdi*rents           */
eststo: xtmelogit  compliance_coded stock_final_std rents_std2  fdistock_rents_gdp_std_2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:

/*5) Include Square*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 stock_final_std_sq  colony ally_dummy  gdp_cap_ln postneonatalmortality  polconiii pop_total_ln   proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:



 /* 6) include difference between predicted and actual FDI*/
 /*predicted versus actual is compiled at the country-year level, averaged over 5 years and merged into this data set*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 dif2_avg  colony ally_dummy  gdp_cap_ln postneonatalmortality  polconiii pop_total_ln   proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:


/*produce Appendix F*/
esttab using "C:\Users\jlt58\Dropbox\transfer\desha\io_final_appendixF_b.csv", star(* 0.10 ** 0.05 *** .01) scalars("ll Log lik." "chi2 Chi-squared") se replace




/*Appendix G*/
eststo clear

/*1) FDI and Rents over population*/
eststo: xtmelogit  compliance_coded fdi_stock_pop1_std rents_pop_std colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:


/*2) affinity scores for colony and alliance*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 idealpoint          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:


/*flow*/
eststo:  xtmelogit  compliance_coded flow_gdp_avg5yrsbef_std rents_std2 colony ally_dummy  gdp_cap_ln postneonatalmortality  polconiii pop_total_ln   proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0 ||  countryname : || year:

/*produce Appendix G*/
esttab using "C:\Users\jlt58\Dropbox\transfer\desha\io_final_appendixG_b.csv", star(* 0.10 ** 0.05 *** .01) scalars("ll Log lik." "chi2 Chi-squared") se replace

 
 
/*Appendix H*/

eststo clear

 /* 1) democracy*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 democracy colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln  proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  ||  countryname : || year:


/*2) dummy variable for whether a project was a development policy loan or an investment loan*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 dpl if cold_war==0  ||  countryname : || year:

/*3) a control for financial crises*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 financial_crisis if cold_war==0  ||  countryname : || year:

/* 4) control for total foreign aid*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12  total_oda_pop if cold_war==0  ||  countryname : || year:

/*produce Appendix H*/
esttab using "C:\Users\jlt58\Dropbox\transfer\desha\io_final_appendixH_b.csv", star(* 0.10 ** 0.05 *** .01) scalars("ll Log lik." "chi2 Chi-squared") se replace





/*Additional Tests in paper*/

/*interaction by industry_gdp--mean=29*/
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 fdistock_rents_gdp_std_2  colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  & industry_gdp>29 ||  countryname : || year:
eststo: xtmelogit  compliance_coded stock_final_std rents_std2 fdistock_rents_gdp_std_2  colony ally_dummy          gdp_cap_ln postneonatalmortality  polconiii pop_total_ln               proj_duration proj_cost_bil   sector_detail1 sector_detail2  sector_detail3 sector_detail4  sector_detail5 sector_detail6 sector_detail7  sector_detail8 sector_detail9 sector_detail10 sector_detail11 sector_detail12 if cold_war==0  & industry_gdp<30  ||  countryname : || year:



